/*
FRODO: a FRamework for Open/Distributed Optimization
Copyright (C) 2008, 2009, 2010, 2011  Thomas Leaute, Brammert Ottens & Radoslaw Szymanek

FRODO is free software: you can redistribute it and/or modify
it under the terms of the GNU Affero General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

FRODO is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU Affero General Public License for more details.

You should have received a copy of the GNU Affero General Public License
along with this program.  If not, see <http://www.gnu.org/licenses/>.


How to contact the authors: 
<http://lia.epfl.ch/>

EPFL / IC / IIF / LIA
Batiment IN 
Station 14 
CH - 1015 Lausanne 
Switzerland
*/

package ch.epfl.lia.frodo.algorithms.varOrdering.dfs;

import java.util.HashSet;


/** A CHILD token containing a set of random variables */
public class CHILDrandMsg extends CHILDmsg {
	
	/** Used for serialization */
	private static final long serialVersionUID = -7609284134572532985L;
	
	/** A set of random variables */
	private HashSet<String> randVars;

	/** Constructor 
	 * @param sender 	sender variable
	 * @param dest 		recipient variable
	 * @param randVars 	a set of random variables
	 */
	public CHILDrandMsg(String sender, String dest, HashSet<String> randVars) {
		super(sender, dest);
		this.randVars = randVars;
	}
	
	/** @return the set of random variables */
	public HashSet<String> getRandVars () {
		return this.randVars;
	}
}